Query parameters

  • filter[uuid] string

    Filter by UUID.

  • filter[name] string

    Name to filter by.

  • sort string

    Field to sort by. Valid fields are [name, created_at, updated_at]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • include string

    Comma separated list of relationships to include. Valid values are [firms].

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        Name of the network

      • firms array[object]

        Member firms of this network

        Hide firms attributes Show firms attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions string
        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template string
        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
GET /api/v1/enterprise/network
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/enterprise/network' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "name": "Acme Network",
      "uuid": "f37dca97-947e-43d7-8b72-422703433d4e",
      "firms": [
        {
          "tax": 17.5,
          "logo": "https://api.plannrcrm.com/images/plannr.jpg",
          "name": "Codepotato",
          "slug": "codepotato",
          "uuid": "d51b02cf-ca2e-47b0-9ae7-3a5e1fe8d103",
          "county": "Hampshire",
          "billing": {
            "invoice_email": "gareth@codepotato.co.uk",
            "invoice_county": "Hampshire",
            "invoice_country": "United Kingdom",
            "invoice_postcode": "PO7 7YH",
            "invoice_address_1": "Suite E, 5 The Briars",
            "invoice_address_2": "Waterberry Drive",
            "invoice_town_city": "Waterlooville"
          },
          "country": "United Kingdom",
          "postcode": "PO7 7YH",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
          "month_end": 25,
          "town_city": "Waterlooville",
          "created_at": "2026-03-11T10:08:33+00:00",
          "updated_at": "2026-03-11T10:08:33+00:00",
          "ip_whitelist": [
            "192.168.0.1",
            "127.0.0.1"
          ],
          "brand_colours": {
            "sidebar_text": "#FFFFFF",
            "sidebar_hover": "#0A0A42",
            "email_sub_text": "#FFFFFF",
            "sidebar_accent": "#36367E",
            "sidebar_active": "#53DBB8",
            "email_background": "#0E0E56",
            "email_button_text": "#FFFFFF",
            "portal_background": "#F6F6F6",
            "portal_brand_title": "#323B4B",
            "sidebar_background": "#0E0E56",
            "portal_sidebar_icon": "#828994",
            "portal_sidebar_text": "#323B4B",
            "portal_sidebar_title": "#11151D",
            "sidebar_title_primary": "#FFC634",
            "portal_brand_sub_title": "#828994",
            "portal_sidebar_divider": "#E3E5E9",
            "email_button_background": "#36367E",
            "portal_dashboard_bg_one": "#EF4583",
            "portal_dashboard_bg_two": "#FFC634",
            "sidebar_title_secondary": "#FFFFFF",
            "sidebar_title_background": "#36367E",
            "portal_sidebar_icon_hover": "#828994",
            "portal_sidebar_text_hover": "#323B4B",
            "portal_sidebar_icon_active": "#828994",
            "portal_sidebar_text_active": "#323B4B",
            "email_logo_background_panel": "#36367E",
            "portal_sidebar_button_hover": "#FFFFFF",
            "portal_sidebar_account_email": "#828994",
            "portal_sidebar_account_title": "#11151D",
            "portal_sidebar_button_active": "#FFFFFF",
            "sidebar_title_secondary_hover": "#FFFFFF",
            "portal_sidebar_collapse_button": "#828994",
            "portal_sidebar_user_select_text": "#323B4B",
            "portal_sidebar_button_background": "#F6F6F6",
            "portal_sidebar_user_select_hover": "#F6F6F6",
            "portal_sidebar_user_select_border": "#EEEEEE",
            "portal_sidebar_collapse_button_hover": "#B3B9C4",
            "portal_sidebar_user_select_background": "#F6F6F6",
            "portal_sidebar_user_select_text_hover": "#323B4B",
            "portal_sidebar_user_select_border_hover": "#828994"
          },
          "is_subscribed": true,
          "regulatory_text": "Regulatory text",
          "cc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
          "bcc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "statement_frequency": "monthly",
          "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
          "keep_deleted_files_for": 30,
          "reply_to_email_address": "jack@example.com",
          "welcome_paragraph_html": "<h1>Welcome.</h1>",
          "mobile_app_support_email": "support@example.com",
          "mobile_app_support_number": "01234 567890",
          "email_welcome_paragraph_html": "Welcome to Plannr!",
          "show_fact_find_illustrations": true
        }
      ],
      "created_at": "2026-03-11T10:08:33+00:00",
      "updated_at": "2026-03-11T10:08:33+00:00"
    }
  ]
}